<template>
<div class="uk-background-muted" uk-height-viewport="expand: true">

    <nav class="uk-navbar">
        <div class="uk-navbar-left">
            <a class="uk-navbar-toggle" uk-toggle="target: #offcanvas-nav-primary">
                <span uk-navbar-toggle-icon></span> <span class="uk-margin-small-left">Menu</span>
            </a>
        </div>
    </nav>

<div class="uk-offcanvas-content">
    <div id="offcanvas-nav-primary" uk-offcanvas="overlay: false">
        <div class="uk-offcanvas-bar uk-flex uk-flex-column">
          <button class="uk-offcanvas-close uk-close" type="button" uk-close></button>

            <ul class="uk-nav uk-nav-primary uk-nav-center uk-margin-auto-vertical">
                <li class="uk-nav-header"><img src="~assets/pear.svg" width="40" height="40" uk-width-small uk-svg class="uk-animation-scale-down"> Pear</li>
                <li><nuxt-link to="/discover"><i class="far fa-handshake"></i> Discover</nuxt-link></li>
                <li><nuxt-link to="/matches"><i class="far fa-comments"></i> Matches</nuxt-link></li>
                <li class="uk-nav-divider"></li>
                <li><nuxt-link to="/app"><i class="far fa-user"></i> My Profile</nuxt-link></li>
            </ul>

        </div>
    </div>
</div>

<div class="uk-flex uk-flex-center">
    <nuxt/>
</div>

</div>
</template>

<script>
export default {
  transition: 'bounce',
  //middleware: 'auth',
}
</script>